Bug 22851

Summary: HTMLPlugInElement does not take createdByParser argument into account
Product: WebKit Reporter: Julien Chaffraix <jchaffraix>
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: beidson, emacemac7
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   

Description Julien Chaffraix 2008-12-14 03:35:45 PST
This is a follow up bug of bug22665.

The change in syntax made it clear that we are ignoring createdByParser in HTMLPlugInElement:

HTMLPlugInElement::HTMLPlugInElement(const QualifiedName& tagName, Document* doc)
    : HTMLFrameOwnerElement(tagName, doc, false)

From my small research, the HTMLFrameOwnerElement is only used in FrameLoader::updateHistoryForStandardLoad().
Comment 1 Brady Eidson 2009-12-10 14:06:07 PST
There's a FIXME pointing to this bug that has been obsoleted, as the createdByParser flag on HTMLFrameOwnerElement had been removed somewhere along the line and therefore the automatic "false" in HTMLPluginElement had been removed too.

And whenever that happened, they didn't remove the comment pointing here.

However, in working on https://bugs.webkit.org/show_bug.cgi?id=32383 I am putting the createdByParser flag back in to HTMLFrameOwnerElement.

At the same time, I'm making sure that ALL elements that have HTMLFrameOwnerElement has a base class actually get the real createdByParser flag from the factory, including Embed/Object, and therefore including Plugin.

So this will be resolved as a side effect.

I'll update this bug when 32383 is resolved.
Comment 2 Brady Eidson 2009-12-11 17:41:20 PST
This FIXME became completely irrelevant at some point.

Removed in 52035